local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

function onBegin()

  if getFlag("idafoi") then
  disablePause()
  disableMovement()
  walkTo(4544)
  waitUntilOnGround()
  walkTo(4578)
  wait(0.5)

  doFadeWipe(false)
  wait(1.3)

  setFlag("idafoi", false)
  setFlag("idachegou")

  end

end